package intrinsic.flash.display;

public class Graphics extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Graphics() {
}


/** Static Methods */

/** Methods */
public native void clear();
public native void beginGradientFill(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3);
public native void beginGradientFill(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4);
public native void beginGradientFill(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5);
public native void beginGradientFill(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5, String arg6);
public native void beginGradientFill(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5, String arg6, double arg7);
public native void curveTo(double arg0, double arg1, double arg2, double arg3);
public native void lineStyle();
public native void lineStyle(double arg0);
public native void lineStyle(double arg0, int arg1);
public native void lineStyle(double arg0, int arg1, double arg2);
public native void lineStyle(double arg0, int arg1, double arg2, boolean arg3);
public native void lineStyle(double arg0, int arg1, double arg2, boolean arg3, String arg4);
public native void lineStyle(double arg0, int arg1, double arg2, boolean arg3, String arg4, String arg5);
public native void lineStyle(double arg0, int arg1, double arg2, boolean arg3, String arg4, String arg5, String arg6);
public native void lineStyle(double arg0, int arg1, double arg2, boolean arg3, String arg4, String arg5, String arg6, double arg7);
public native void lineTo(double arg0, double arg1);
public native void beginFill(int arg0);
public native void beginFill(int arg0, double arg1);
public native void drawEllipse(double arg0, double arg1, double arg2, double arg3);
public native void endFill();
public native void beginBitmapFill(intrinsic.flash.display.BitmapData arg0);
public native void beginBitmapFill(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Matrix arg1);
public native void beginBitmapFill(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Matrix arg1, boolean arg2);
public native void beginBitmapFill(intrinsic.flash.display.BitmapData arg0, intrinsic.flash.geom.Matrix arg1, boolean arg2, boolean arg3);
public native void drawRoundRect(double arg0, double arg1, double arg2, double arg3, double arg4);
public native void drawRoundRect(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5);
public native void drawRoundRectComplex(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5, double arg6, double arg7);
public native void drawCircle(double arg0, double arg1, double arg2);
public native void lineGradientStyle(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3);
public native void lineGradientStyle(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4);
public native void lineGradientStyle(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5);
public native void lineGradientStyle(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5, String arg6);
public native void lineGradientStyle(String arg0, intrinsic.Array arg1, intrinsic.Array arg2, intrinsic.Array arg3, intrinsic.flash.geom.Matrix arg4, String arg5, String arg6, double arg7);
public native void drawRect(double arg0, double arg1, double arg2, double arg3);
public native void moveTo(double arg0, double arg1);

}
